---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch a Supabase-backed v1 test config by id. Reference for the GET
    /v1/projects/{projectId}/test-configs/{testConfigId} endpoint in the
    Judgeval API.
sidebar:
  label: Fetch test config
  badge: GET
title: Fetch test config
type: openapi-operation
---
Fetch a Supabase-backed v1 test config by id.

`GET /v1/projects/{projectId}/test-configs/{testConfigId}`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "test_config": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "dataset_id": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "user_id": "string",
    "judges": [
      {
        "id": "string",
        "organization_id": "string",
        "project_id": "string",
        "test_config_id": "string",
        "judge_id": "string",
        "created_at": "string",
        "user_id": "string",
        "judge": {
          "id": "string",
          "name": "string",
          "judge_type": "string",
          "score_type": "string"
        }
      }
    ]
  }
}
```
